#ifndef _Coordinate__H
#define _Coordinate__H

#include <iostream>

using namespace std;

class Coordinate
{
private:
	int x,y;
	
public:
	Coordinate(int x, int y);
	Coordinate(const Coordinate&);
	int getX() const { return x; }
	int getY() const { return y; }
	bool operator==(const Coordinate&) const;
	string to_string() const;
	Coordinate add(const Coordinate& c) const;
	Coordinate add(int x,int y) const;
};

#endif
